Bug Hunting Session
Bug 33150 - [Task]: Remove OOo & obsolete references from WikiHelp LocalHelp
Summary: [Task]: Remove OOo & obsolete references from WikiHelp LocalHelp
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: All All
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:4.0.0
Keywords:
Depends on: 33249 33468 34041 36092 36096 37543 37958 37961 42416 43108 43110 43111 43112 43113 43114 43115 43116 43118 43119 43120
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-15 06:58 UTC by Rainer Bielefeld Retired
Modified: 2012-11-24 18:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2011-01-15 06:58:48 UTC
Steps tp reproduce:
0. Install localized Help package 
1. Open calc document
2. <f1>
3. 'Find' - Search Therm "Openoffice" - <find>
   expected: no matches, may be except some credits
   actual: lots of matches. 

Very annoying: In 
'Contents -> Welcome to the LibreOffice Calc Help -> Getting Support' under Heading "Getting Support" you will find lots of links (it seems - only) to OOo.

WIKIHELP is not affected
Comment 1 Andras Timar 2011-01-19 01:44:16 UTC
Also, there are help topics which describe features that are not present in LibreOffice. For example: Improvement Program

I recommend to open a new bug for each topic, and track those bugs in this meta bug. It's not possible to eliminate all occurences with a single commit.
Comment 2 Mike §chinagl 2011-11-20 01:54:19 UTC
This meta bug has more bugs to it. I added two (36096, 42416) in the depends on list. Not sure if this is the right way to do it.
Comment 3 Björn Michaelsen 2011-12-23 11:50:51 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 4 Mike §chinagl 2012-01-05 08:35:04 UTC
Under LOdev 3.5.0beta2 (Build-ID: 8589e48-760cc4d-f39cf3d-1b2857e-60db978) under XP there are still a few matches to OOo, some of which should be worked on. 

The links under 'Contents -> Welcome to the LibreOffice Calc Help -> Getting Support' under Heading "Getting Support" you will find lots of links (it seems - only) to OOo have disapeared though (German help).

For example there is a link to the OOo-Website (http://www.openoffice.org/) under 
`Definition der XML-Formate´: Here´s the German text which I don´t understand anyway:
 
Das Schema für die OpenDocument-Formate finden Sie auf der Website www.oasis-open.org. Die DTD- (Document Type Description) Dateien für die älteren Formate können im Installationsverzeichnis gefunden werden. Beachten Sie, dass die Formate bestimmten Lizenzen unterliegen. Hinweise auf die Lizenzen finden Sie am Anfang der DTD-Dateien. Genauere Informationen finden Sie auf der Webseite von OpenOffice.org.

Another example is "Danske Synonymer" linking to da.openoffice.org
Comment 5 Not Assigned 2012-11-24 18:12:15 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/dictionaries/commit/?id=84861864e2555282a23235225dd15dc1c6d30249

fdo#33150 replace href to da.libreoffice.org



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Andras Timar 2012-11-24 18:25:20 UTC
With the last few commits, I think this bug can be finally closed.
Comment 7 Not Assigned 2012-11-24 18:28:01 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=b228822fd4f25fbdb5c367698e14dfc4a0f0af00

fdo#33150 remove hrefs to www.openoffice.org



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.